<?php
/*
 * @copyright    Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license        GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

$app = JFactory::getApplication();
if($app->isSite())
{

jimport( 'joomla.plugin.plugin' );
$lang = JFactory::getLanguage();

class plgSystemsketchcookies extends JPlugin
{
    public function __construct(&$subject, $config) {
        parent::__construct($subject, $config);
        $this->loadLanguage('plg_sketchcookies', JPATH_ADMINISTRATOR);
    }


    public function onBeforeRender()
    {


        $lang = JFactory::getLanguage(); $lang->load('plg_system_sketchcookies', JPATH_ADMINISTRATOR);

       $document = JFACTORY::getDocument();
       
		$params = $this->params;



       // print_r($test);

        $message = JTEXT::_("PLG_SKETCHCOOKIES_MESSAGE");
        $dismiss = JTEXT::_("PLG_SKETCHCOOKIES_DISMISS");
        $learn = JTEXT::_("PLG_SKETCHCOOKIES_LEARN");
        $link = JTEXT::_("PLG_SKETCHCOOKIES_LINK");
		$exp_date = $params->get("exp_date", 365);
            $document->addScriptDeclaration('

window.cookieconsent_options = {"message":"'.$message.'","dismiss":"'.$dismiss.'","learnMore":"'.$learn.'","link":"'.$link.'","theme":false, "expiryDays":'.$exp_date.'};');
	
	    $url = Juri::base().'media/plg_sketchcookies/';
	    $document->addScript($url.'scripts/general.min.js');
	    $document->addStyleSheet($url.'stylesheets/styles.css');
        }
//Only run from the client-side, never the admin side
    }
}
